#
# Default  Bacula File Daemon Configuration file
#
#  For Bacula release 9.0.3 (08 August 2017) -- redhat (Core)
#
# There is not much to change here except perhaps the
# File daemon Name to
#
#
# Copyright (C) 2000-2015 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

#
# List Directors who are permitted to contact this File daemon
#
Director {
  Name = bacula-srv
  Password = "{{ bacula_fd_passwd }}"
}


FileDaemon {                          # this is me
  Name = "{{ ansible_fqdn }}"
  WorkingDirectory = /var/spool/bacula
  Pid Directory = /var/run
  Maximum Concurrent Jobs = 20
  Plugin Directory = /usr/lib64/bacula
  PKI Signatures = Yes            # Enable Data Signing
  PKI Encryption = Yes            # Enable Data Encryption
  PKI Keypair = "/etc/bacula/fd-client.pem"    # Public and Private Keys
  PKI Master Key = "/etc/bacula/master.cert"    # ONLY the Public Key
}

# Send all messages except skipped files back to Director
Messages {
  Name = Standard
  director = bacula-srv = all, !skipped, !restored
}
